// pages/liveVideo/index.js
import api from "../../api/index";
import {
  config
} from "../../config/index"
Page({

  /**
   * 页面的初始数据
   */
  data: {
    videos: []
  },
  page: 1,
  size: 10,
  total: 0,

  toPage(e) {
    const item = this.data.videos[e.currentTarget.dataset.index]
    if (item.type == 1) {
      // 全屏放视频  木得办法  内容太少
      wx.previewMedia({
        sources: [{
          url: item.video,
          type: 'video',
          poster: item.cover
        }]
      })
      return
    }
    if (item.type == 2) { // 视频号视频 
      const [finderUserName, feedId] = item.video.split(',')
      wx.openChannelsActivity({
        finderUserName,
        feedId,
        fail() {
          wx.showToast({
            title: '请稍后再试',
          })
        }
      })
      return
    }
  },

  getLiveVideo(id) {
    const {
      page,
      size
    } = this;
    api.getLiveVideo({
      page,
      size,
      id
    }).then(r => {
      this.page += 1;
      this.total = r.total;
      this.setData({
        videos: r.records || []
      })
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getLiveVideo(config.meetID)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.getLiveVideo(config.meetID)
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  onShareTimeline() {}
})