import {
  config
} from "../config/index"

export function req(data) {
  wx.showLoading({
    title: '请求中',
  })
  return new Promise((resolve, reject) => {
    wx.request({
      url: config.base + data.url,
      method: data.method || 'GET',
      data: data.data || undefined,
      success(res) {
        if (res.statusCode !== 200) {
          wx.showToast({
            title: '网络错误',
            icon: 'none'
          })
          reject(res)
          return
        }
        data.success && data.success(res.data);
        resolve(res.data)
        wx.hideLoading()
      },
      fail(res) {
          reject(res)
          wx.hideLoading()
      }
    })
  })
}